%global build   1467
%global opver   1200
#global tag     .alpha.%{build}

Name:           opera
Version:        12.00

Release:        2%{?tag}%{?dist}
Summary:        A fast and secure web browser and Internet suite

Group:          Applications/Internet
License:        Proprietary
Vendor:         Opera Software ASA
URL:            http://www.opera.com/browser/

Source0:        http://ftp.opera.com/pub/opera/linux/%{opver}/%{name}-%{version}-%{build}.x86_64.linux.tar.xz
Source1:        http://ftp.opera.com/pub/opera/linux/%{opver}/%{name}-%{version}-%{build}.i386.linux.tar.xz

Requires:       gstreamer-plugins-good
Requires:       gstreamer-plugins-base


%description
Opera is a small, fast, customizable, powerful and user-friendly web
browser, as well as an Internet suite, including an email client, an IRC
client, and web developer tools (Opera Dragonfly).

%prep
%ifarch x86_64
%setup -q -T -b 0 -n %{name}-%{version}-%{build}.x86_64.linux
%else
%setup -q -T -b 1 -n %{name}-%{version}-%{build}.i386.linux
%endif


%install
./install --repackage %{buildroot}/usr --prefix /usr

# fixing locations to conform to fedora packaging guidelines
# /usr/share/doc/opera -> /usr/share/doc/opera-%{version}

rm -r %{buildroot}/usr/share/doc/opera
unlink %{buildroot}/usr/share/opera/defaults/license.txt
unlink %{buildroot}/usr/share/opera/locale/en/license.txt
ln -sT ../../doc/opera-%{version}/LICENSE \
    %{buildroot}/usr/share/opera/defaults/license.txt
ln -sT ../../../doc/opera-%{version}/LICENSE \
    %{buildroot}/usr/share/opera/locale/en/license.txt

# /usr/lib -> /usr/lib64

%ifarch x86_64
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64
sed -i s/lib/lib64/ %{buildroot}/usr/bin/opera
%endif


%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc share/doc/opera/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_libdir}/%{name}/
%{_mandir}/man1/*


%changelog
* Mon Jul 23 2012 Patryk Obara <patryk.obara at gmail.com> - 12.00-2
- Update to 12.00 final (build 1467)
- Removed dependency generator/requires filtering - rpm does not generate
  unnecessary dependencies any more
- Build number in release tag will now only appear for non-final packages

* Tue May 29 2012 Patryk Obara <patryk.obara at gmail.com> - 12.00-1.1387
- Update to 12.00 beta1 release

* Tue Jun 28 2011 Patryk Obara <patryk.obara at gmail.com> - 11.50-1.1074
- Update to 11.50 final release

* Fri Jun 17 2011 Patryk Obara <patryk.obara at gmail.com> - 11.50-1.1027.beta1
- First release
